### Method

# EDataCal DataCalView get_component_string

since: 3.4

#### Declaration [src]

    gchar*
    e_data_cal_view_get_component_string (
      EDataCalView* view,
      ECalComponent* component
    )

#### Description [src]

This function is similar to `e_cal_component_get_as_string()` except that it takes into account the fields-of-interest that `view` is configured with and filters out any unneeded fields.

Available since: 3.4

#### Parameters

`component`

  Type: `ECalComponent`

  The `ECalComponent` to get the string for.

  The data is owned by the caller of the method.

#### Return value

Type: `gchar*`

A newly allocated string representation of `component` suitable for `view`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.